package com.th.demo.mapping.finance;

import com.th.demo.model.finance.Account;
import com.th.demo.model.finance.AccountWithInvoice;
import com.th.demo.model.finance.InvoiceNew;

import java.util.List;

public interface AccountMapper {
    int deleteByPrimaryKey(String id);

    int insert(Account record);

    int insertSelective(Account record);

    Account selectByPrimaryKey(String id);

    int updateByPrimaryKeySelective(Account record);

    int updateByPrimaryKey(Account record);

    List<AccountWithInvoice> selectWithInvoice(String customerName, String belongId, String accountFlag);

    List<AccountWithInvoice> queryGroup(String customerName, String belongId, String accountFlag);

    List<AccountWithInvoice> queryBycustomer(String customerName, String belongId, String accountFlag);

    int insertNew(InvoiceNew invoiceNew);
}